Subject: bug#40774: Error messages shouldn't be hidden when the user is idle

From: Eli Zaretskii <[email-masked]>
Date: Wed, 22 Apr 2020 22:06:28 +0300

> Date: Wed, 22 Apr 2020 18:53:01 +0000
> From: ndame <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>
> 
> > You want the Emacs behavior to change depending on whether "the user
> > is idle" or not, right? If the practical implementation of that will
> > be "when Emacs is idle", you might not have the behavior you wanted,
> > because Emacs might not be idle when the user is.
> 
> If Emacs prints a message then the message function can check if the
> user is idle using the same condition what run-with-idle-timer
> uses and if so then it can handle displaying the message in different way.

But that's exactly the problem I see with your proposed strategy:
when Emacs prints a message, it is _never_ idle, by definition.